#!/bin/bash
# mp3val
# http://mp3val.sourceforge.net/
# http://mp3val.sourceforge.net/docs/manual.html
# script by : til <rob DOT til DOT freedman AT googlemail DOT com>
#
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb
set -x
src_url=http://dfn.dl.sourceforge.net/sourceforge/mp3val

# mp3val
version=0.1.8
build=66.1

arch=i486
tune=i686

pkgname=mp3val-$version
package=mp3val-$version-$arch-$build

PKG_DEP="gcc,gcc-g++"
PKG_SRC="$REPO/extra/ap/mp3val/build-mp3val.sh
$src_urk/${pkgname}-src.tar.gz"

# get source if needed
if [ ! -e ${pkgname}-src.tar.gz ]; then
  wget $src_url/${pkgname}-src.tar.gz
fi

# build root
CWD=`pwd`
TMP=$CWD/tmp
PKG=$TMP/$package
#
[ -d $PKG ] && rm -fr $PKG;

mkdir -p $PKG/install
mkdir -p $PKG/usr/bin
mkdir -p $PKG/usr/{doc,src}/$pkgname

# copy myself
cp $CWD/build-mp3val.sh $PKG/usr/src/$pkgname

# create the slack-desc
#    |----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
mp3val: MP3val (small, high-speed tool for MPEG audio files validation)
mp3val:
mp3val: MP3val is a small, high-speed tool for MPEG audio files validation
mp3val: and optionally fixing problems.
mp3val:
mp3val: MP3val supports:
mp3val: MPEG-1,2,2.5; Layers I,II,III, ID3v1 tags, ID3v2 tags, APEv2 tags
EOF

# Extract the source archive
cd $TMP
tar xzf $CWD/${pkgname}-src.tar.gz
cd ${pkgname}-src
# configure
sed -i "s/CXXFLAGS=/CXXFLAGS=-march=$arch -mtune=$tune /g" Makefile.linux

make -f Makefile.linux
install -m755 mp3val $PKG/usr/bin

# docs
cp -a COPYING changelog.txt manual.html $PKG/usr/doc/$pkgname

# stripstrap
find $PKG | xargs file | grep "executable" | grep ELF | cut -s -f 1 -d : |\
  xargs strip --strip-unneeded 2> /dev/null

cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo "$PKG_SRC" > $package.src
echo -n $PKG_DEP > $package.dep
md5sum $package.txz > $package.md5

# cleanup
#rm -rf $TMP
